import { RedisClientOptions, RedisClientType, RedisFunctions, RedisModules, RedisScripts } from "redis";
interface SecureStoreConfig {
    redis: RedisClientOptions;
}
export default class SecureStore {
    uid: string;
    secret: string;
    client: RedisClientType<RedisModules, RedisFunctions, RedisScripts>;
    private config;
    constructor(uid: string, secret: string, cfg: SecureStoreConfig);
    quit(): Promise<void>;
    disconnect(): Promise<void>;
    init(): Promise<void>;
    save(key: string, data: any, postfix?: string): Promise<number>;
    get(key: string, postfix?: string): Promise<any>;
    delete(key: string, postfix?: string): Promise<number>;
    private encrypt;
    private decrypt;
    private static shasum;
}
export {};
